package org.springblade.community.controller.statistic.vo;

import lombok.Data;

@Data
public class ParkTodayDataVO {
	private Integer peopleNum;
	private Integer enterCarOfInside;
	private Integer enterCarOfOutside;
	private Integer departCarOfInside;
	private Integer departCarOfOutside;


	public static final class ParkTodayDataVOBuilder {
		private Integer peopleNum;
		private Integer enterCarOfInside;
		private Integer enterCarOfOutside;
		private Integer departCarOfInside;
		private Integer departCarOfOutside;

		public ParkTodayDataVOBuilder() {
		}

		public static ParkTodayDataVOBuilder aParkTodayDataVO() {
			return new ParkTodayDataVOBuilder();
		}

		public ParkTodayDataVOBuilder withPeopleNum(Integer peopleNum) {
			this.peopleNum = peopleNum;
			return this;
		}

		public ParkTodayDataVOBuilder withEnterCarOfInside(Integer enterCarOfInside) {
			this.enterCarOfInside = enterCarOfInside;
			return this;
		}

		public ParkTodayDataVOBuilder withEnterCarOfOutside(Integer enterCarOfOutside) {
			this.enterCarOfOutside = enterCarOfOutside;
			return this;
		}

		public ParkTodayDataVOBuilder withDepartCarOfInside(Integer departCarOfInside) {
			this.departCarOfInside = departCarOfInside;
			return this;
		}

		public ParkTodayDataVOBuilder withDepartCarOfOutside(Integer departCarOfOutside) {
			this.departCarOfOutside = departCarOfOutside;
			return this;
		}

		public ParkTodayDataVO build() {
			ParkTodayDataVO parkTodayDataVO = new ParkTodayDataVO();
			parkTodayDataVO.setPeopleNum(peopleNum);
			parkTodayDataVO.setEnterCarOfInside(enterCarOfInside);
			parkTodayDataVO.setEnterCarOfOutside(enterCarOfOutside);
			parkTodayDataVO.setDepartCarOfInside(departCarOfInside);
			parkTodayDataVO.setDepartCarOfOutside(departCarOfOutside);
			return parkTodayDataVO;
		}
	}
}
